
Download Button - Support #1926

Project settings form differs from screenshot in Wiki

29 Dec 2011 17:32 - Andreas Schuh

Status: Closed Start date: 29 Dec 2011

Priority: Normal Due date: 26 Feb 2012

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.3   

Redmine version: 1.3.0 External issue:  

Description

I installed revision 16 of the plugin, which should correspond to version 0.0.2. The project settings form looks however different.

Instead of the dropdown box where you can select a File or an External URL, I only have an edit box for an external URL. Once such

URL is entered, it cannot be removed again b/c the value may not be blank.

Associated revisions

Revision 27 - 26 Feb 2012 16:52 - Andriy Lesyuk

Fixed #1926

History

#1 - 29 Dec 2011 19:50 - Andriy Lesyuk

Oh... That’s because you don’t have a closed version in your project, right? Create a closed version (or close) and you will be able to change to

“Automatic” (I believe, you may also need a file). Also you can just disable button!

#2 - 29 Dec 2011 20:13 - Andreas Schuh

I just closed a version and added a file for it, still, when I re-enable the button I cannot select Automatic nor the file.

I cleared the external URL manually by editing the entry in the download_buttons table.

#3 - 29 Dec 2011 20:14 - Andriy Lesyuk

You can’t because dropdown is not shown?

#4 - 29 Dec 2011 20:17 - Andreas Schuh

Strange. I had in fact two versions, the first one was closed already, but without any file (I am just playing with Redmine). After I deleted this closed

version, the download button settings are all fine and I can select Automatic or a specific file.

Just to test, I added a new version again which I closed immediately. The same behavior! I think it’s not good that a closed version without file brakes

the download button.

#5 - 06 Jan 2012 14:15 - Andriy Lesyuk

You see: The form is shown to let users specify external URL! So in case when a user wants to remove the “Download” button he/she have to disable

the button! This is how it works now.

If I let remove “External URL” this will mean that in this case (when “External URL” is empty) the “Download” button should be disabled! Not a very

clear behaviour...

What do you think?
#6 - 26 Feb 2012 17:33 - Andriy Lesyuk

- Due date set to 26 Feb 2012

- Status changed from New to Closed

- Target version set to 0.0.3

- % Done changed from 0 to 100

Files
